Loading...
Searching...
No Matches
transmit.c File Reference

Implements transmit.h. More...

`#include "media/lirc.h"`
`#include "lirc/lirc_log.h"`
`#include "lirc/transmit.h"`

Go to the source code of this file.

## Macros

#define | LIRCD_EXACT_GAP_THRESHOLD 10000

## Functions

void | send_buffer_init (void)
| Initializes the global sending buffer.
int | send_buffer_put (struct ir_remote *remote, struct ir_ncode *code)
| Initializes the global send buffer for transmitting the code in the second argument, residing in the remote in the first.
int | send_buffer_length (void)
| Do not document this function.
const lirc_t * | send_buffer_data (void)
lirc_t | send_buffer_sum (void)

## Detailed Description

Implements transmit.h.

Author
  Christoph Bartelmus

Definition in file transmit.c.

## Macro Definition Documentation

## LIRCD_EXACT_GAP_THRESHOLD

#define LIRCD_EXACT_GAP_THRESHOLD 10000

Definition at line 23 of file transmit.c.